import axios from '@/common/services/axios-instance'
import loginService from '@/login/login-service'
class Homepage {
  getCount() {
    return axios({
      url: `api/xcoa-mobile/v1/portal/getCount`,
      method: 'get',
    })
  }

  getNews(params) {
    return axios({
      url: `api/xcoa-mobile/v1/portal/` + params.articleBusinessType,
      method: 'get',
    })
  }

  getHomeYqlj() {
    return axios({
      url: `api/xcoa-mobile/v1/iamportalblogroll/getPortalblogrollInfo`,
      method: 'get',
    })
  }
}

export default new Homepage()
